apply plugin: 'com.android.library'
//apply from: "../publish.gradle"

android {
    compileSdkVersion rootProject.ext.android["compileSdkVersion"]

    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]

        flavorDimensions "versionCode"//Flavor 维度信息
    }

    productFlavors {
        ydl {}
        xlzx {}
    }
//    sourceSets {
//        main {
//            res.srcDirs = [
//                    'src/main/res',
//                    'src/ydl/res'
//            ]
//        }
//    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility = '1.8'
        targetCompatibility = '1.8'
    }
}

dependencies {
}